<?php 
include_once('config.php');
//$basename = basename($_SERVER['REQUEST_URI']);
require_once(SYSTEM_LOGICS . 'kyc/logic.php');
class ControlKYC extends LogicKYC {
	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}



	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		try {
		    $this -> checkAvailability("system", function(){
		        require_once($this -> getSystemHTML('TEMPLATE_MAINTENANCE_MODE_SYSTEM_PATH'));
		        exit();
		    });
			// アクション実行
			$this -> logic();
			if($this -> getType() == TYPE_DETAIL) {			// 詳細
				require_once($this -> getSystemHTML('TEMPLATE_KYC_ADMIN_DETAIL_PATH', $this -> dispHTML()));

			} else if($this -> getType() == TYPE_STATUS) {	// ステータス更新
				require_once($this -> getSystemHTML('TEMPLATE_KYC_ADMIN_LIST_PATH', $this -> dispHTML()));

			} else if($this -> getType() == TYPE_DOWNLOAD_IMAGE) {	// ステータス更新
				//下载
				require_once($this -> getSystemHTML('TEMPLATE_KYC_ADMIN_DETAIL_PATH', $this -> dispHTML()));
			}  else if($this -> getType() == TYPE_EXPORT_COMMON) {	// ステータス更新
				//导出
				header('Content-Type: application/octet-stream');
				header('Content-Disposition: attachment; filename=KYC_' . date('YmdHis') . '.csv');
				header('Content-Transfer-Encoding: binary');

				echo "\xEF\xBB\xBF";
				echo $this -> getExportDataCommon();
			}  else {										// 画面の表示（一覧）
				require_once($this -> getSystemHTML('TEMPLATE_KYC_ADMIN_LIST_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {
			header('Location: /');
		}
	}
}
 ?>